export declare const TOGGLE_STATUS = "TOGGLE_STATUS";
export declare const SEARCH_TERM = "SEARCH_TERM";
export declare const STOP_FIND = "STOP_FIND";
export declare const FIND = "FIND";
export type State = {
    searching: boolean;
    searchTerm: string;
    enabled: boolean;
};
export declare const INITIAL_STATE: State;
type FindAction = {
    type: 'FIND';
    findNext: boolean;
    forward: boolean;
    searchTerm: string;
};
type SetSearchTermAction = {
    searchTerm: string;
    type: 'SEARCH_TERM';
};
type StopFindAction = {
    type: 'STOP_FIND';
};
type ToggleStatusAction = {
    type: 'TOGGLE_STATUS';
};
type FindInPageActions = SetSearchTermAction | StopFindAction | ToggleStatusAction | FindAction;
export default function reducer(state: State | undefined, action: FindInPageActions): State;
export declare const dispatchFind: (searchTerm: string, isForwardSearch: boolean, findNext: boolean) => FindAction;
export declare const setSearchTerm: (searchTerm: string) => SetSearchTermAction;
export declare const dispatchStopFind: () => StopFindAction;
export declare const toggleStatus: () => ToggleStatusAction;
export {};
//# sourceMappingURL=index.d.ts.map